
/*-------------------*/
.section_title-w,
.section_title{
    text-align: center;
    margin: 1rem auto;
    padding: 2rem 0rem 2rem 0rem;
    font-size: var(--textMd);
    max-width: 1100px;
    /* width: 100%; */
    z-index: 100;
}
    
    

.section_title h1{
    color: var(--black);
    font-size: var(--textMd);
    padding-top: 5px;
}

.section_title-w h1{
    color: var(--white);
    font-size: var(--textMd);
    padding-top: 5px;
}


.section_title-w h2{
    color: var(--white);
    font-weight: normal;
    font-size: var(--textMd);
    padding-top: 5px;
}

.section_title h2{
    color: var(--color-font-partner);
    font-weight: normal;
    font-size: var(--textMd);
    padding-top: 5px;
}

.section_title-w h3{
    color: var(--white);
    font-size: var(--textMd);
    padding-top: 10px;
}

.section_title h3{
    color: var(--color-font-partner);
    font-size: var(--textMd);
    padding-top: 10px;
    font-weight: normal;
}

.subtitulo{
    color: var(--color-font-partner);
    font-size: var(--textMd);
    padding-top: 10px;
    font-weight: normal;
}

.logo-grid {
    display: grid;
    /* grid-template-columns: repeat(auto-fit, minmax(220px, 1fr)); */
    grid-template-columns: repeat(3, 1fr);
    gap: 0;
    background-color: white;
    border: 1px solid #d3d3d3;

}

.logo-item {
    /*que guarde una relacion cuadrada*/
    /* min-width: 220px; */
    aspect-ratio: 1 / 1;
    height: auto; 

    border: 1px solid #d3d3d3;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffffff;
    /* padding: 40px; */
    transition: background-color 0.3s ease;
}

.logo-item:hover {
    background-color: #f9f9f9;
}


.logo-item .img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}
.logo-item .img h2 {
    text-align: center;
    position: fixed;
    padding: 0;
    font-size: var(--textNormal);
    width: 90%;
    color: var(--blue-dark);
    text-decoration: underline;
    text-decoration-color: var(--blue-soft); /* Usa tu variable azul */
    text-decoration-thickness: 2px;          /* Grosor de la línea */
    text-underline-offset: 5px;             /* Distancia entre texto y línea */
}

.logo-item div  {
    padding: 1rem;
    top: 1rem;
}
.logo-item div h1 {
    font-size: var(--textMd);
}
.logo-item div ul {
    font-size: var(--textSm);
    /*habilitar estilo de viñetas*/
    list-style-type: disc;
    margin-left: var(--textSm);
}
.textcard{
    /* background: red; */
    height: 100%;
}
.textcard h2{
    /* background: blue; */
    color: var(--blue-dark)
}
.textcard ul{
    /* background: green; */
    list-style-type: square;
}
.textcard_icon-ws{
    background-image: url(../img/wp.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 30px;
    height: 30px;
    /*----*/
    position: absolute;
    right: 30px;
    bottom: 30px;
}
.click-indicator{
    display: none;
    font-weight: 800;
}


.efect-grayscale .img {
    filter: grayscale(100%);
    opacity: 0.7;
    transition: all 0.3s ease;
}
.efect-grayscale div {
    filter: grayscale(100%);
    opacity: 0.7;
    transition: all 0.3s ease;
}
/* condiciona, si tiene el .efect-grayscale entonces habilitar el hover */
.efect-grayscale:hover .img {
    filter: grayscale(0%);
    opacity: 1;
}
.efect-grayscale:hover div {
    filter: grayscale(0%);
    opacity: 1;
}

.wave-top {
    position: absolute;
    background-color: var(--blue-soft);
    /* bottom: -2px; */
    left: 0;
    width: 100%;
    height: 150px;
}
/*-------- Estados iniciales -----------*/
.turn-on-hover-effect {
  position: relative;
  /* perspective: 800px;  */
}
.turn-on-hover-effect .img {
  position: absolute;
  /* width: 70%; */
  /* height: auto; */
  backface-visibility: hidden;
  transition: transform 1.2s ease, opacity 0.5s ease;
}
.turn-on-hover-effect div {
  position: absolute;
  /* width: 70%; */
  /* height: auto; */
  backface-visibility: hidden;
  transition: transform 1.2s ease, opacity 0.5s ease;
}
/*-----------------------------*/
/* imagen frontal */
.turn-on-hover-effect .img:first-child {
  transform: rotateY(0deg);
  opacity: 1;
}
/* efecto */
.turn-on-hover-effect .img:last-child {
  transform: rotateY(-180deg) scale(0.9);
  opacity: 0;
}
.turn-on-hover-effect:hover .img:first-child {
  transform: rotateY(180deg) scale(0.9);
  opacity: 0;
}

.turn-on-hover-effect:hover .img:last-child {
  transform: rotateY(0deg);
  opacity: 1;
}

/* efecto */
.turn-on-hover-effect div:last-child {
  transform: rotateY(-180deg) scale(0.9);
  opacity: 0;
}
/* .turn-on-hover-effect:hover div:first-child {
  transform: rotateY(180deg) scale(0.9);
  opacity: 0;
} */

.turn-on-hover-effect:hover div:last-child {
  transform: rotateY(0deg);
  opacity: 1;
}

/* regla de reseteo del hover, con js */
.clicked.turn-on-hover-effect .img:first-child {
  transform: rotateY(0deg);
  opacity: 1;
}

.clicked.turn-on-hover-effect:hover div:last-child {
  transform: rotateY(-180deg) scale(0.9);
  opacity: 0;
}

/*-----------------------------*/
/* Efecto CLASE SIMULADA de HOVER en ESCRITORIO */
.turn-on-hover-effect.simulate-hover-effect .img:first-child {
  transform: rotateY(180deg) scale(0.9);
  opacity: 0;
}
.turn-on-hover-effect.simulate-hover-effect .img:last-child {
  transform: rotateY(0deg);
  opacity: 1;
}
.turn-on-hover-effect.simulate-hover-effect div:last-child {
  transform: rotateY(0deg);
  opacity: 1;
}

/*-----------------------------*/
/* Efecto para NOTAS */
.nota {
  display: block;
  font-size: 0.9em;
  color: var(--color-font-partner_soft);
  margin-top: 4px;
}

.nota a {
  color: inherit;
  text-decoration: none;
  border-bottom: 1px dotted currentColor;
  transition: opacity .2s ease;
}

.nota a:hover {
  opacity: 0.7;
}


/* Responsive adjustments */
@media (min-width: 800px) {
    .section_logos.wrapsides{
        padding-inline: 15rem;
    }

}


@media (max-width: 480px){
    .logo-item .img h2 {
        top: 0px;
        font-size: 0.7rem;
        width: 90%;
    }
    .click-indicator{
        display: flex;
    }
    .textcard h2 {
        color: #f9f9f9;
        padding-bottom: 5px
    }
    .turn-on-hover-effect div:last-child {
        color: transparent;
    }

    /* .turn-on-hover-effect:hover div:last-child {
        transform: rotateY(0deg);
        opacity: 1;
        background: red;
        z-index: 1000;
        } */
    .turn-on-hover-effect:hover #id_item_01{
        color:white;
        background: var(--blue-dark);
        transform: rotateY(0deg);
        opacity: 1;
        z-index: 100;
        width: 300%;
        height: 200%;
        left: 0;
        top: 0;
    }
    .turn-on-hover-effect:hover #id_item_02{
        color:white;
       background: var(--blue-dark);
        transform: rotateY(0deg);
        opacity: 1;
        z-index: 100;
        width: 300%;
        height: 200%;
        top: 0;
    }
    .turn-on-hover-effect:hover #id_item_03{
        color:white;
        transform: rotateY(0deg);
        opacity: 1;
        background: var(--blue-dark);
        z-index: 100;
        width: 300%;
        height: 200%;
        right: 0;
        top: 0;
    }
    .turn-on-hover-effect:hover #id_item_04{
        color:white;
        transform: rotateY(0deg);
        opacity: 1;
        background: var(--blue-dark);
        z-index: 100;
        width: 300%;
        height: 200%;
        top: -100%;
        left: 0;
    }
    .turn-on-hover-effect:hover #id_item_05{
        color:white;
        transform: rotateY(0deg);
        opacity: 1;
        background: var(--blue-dark);
        z-index: 100;
        width: 300%;
        height: 200%;
        top: -100%;
    }
        .turn-on-hover-effect:hover #id_item_06{
            color:white;
        transform: rotateY(0deg);
        opacity: 1;
        background: var(--blue-dark);
        z-index: 100;
        width: 300%;
        height: 200%;
        right: 0;
        top: -100%;
    }

    /* Efecto sobre .overistext en responsive (ya que el hover con con touch)  */
    .overistext.turn-on-hover-effect:not(.clicked):hover div:last-child {
        display: none;
    }
    .overistext.turn-on-hover-effect:hover .img:first-child {
        transform: rotateY(0deg) scale(0.9);
        opacity: 1;
    }
    /* Efecto sobre .overisimg en responsive (ya que el hover con con touch)  */
    .overisimg.turn-on-hover-effect:hover .img:first-child {
          transform: rotateY(-180deg) scale(0.9);
          opacity: 0;
    }
    .overisimg.turn-on-hover-effect:hover .img:last-child{
        transform: rotateY(0deg);
        opacity: 1;
    }
    .overisimg.turn-on-hover-effect:not(.clicked):hover .img:first-child {
        transform: rotateY(0deg);
        opacity: 1;
    }
    .overisimg.turn-on-hover-effect:not(.clicked):hover .img:last-child {
        transform: rotateY(-180deg) scale(0.9);
        opacity: 0;
    }
    .click-indicator{
        color: blue;
        display: block;
    }
    .clicked.turn-on-hover-effect  .click-indicator{
        display: none;
    }
    .textcard_icon-ws{
        opacity: 0;
    }
    .clicked.turn-on-hover-effect  .textcard_icon-ws{
        opacity: 1;
    }



    /* .clicked.turn-on-hover-effect .img:first-child {
        pointer-events: none;
        background: rgb(0, 140, 14);
        } */
    /*si elemento .turn-on-hover-effect no tiene .clicked*/
    /*  */
    /* .turn-on-hover-effect:not(.clicked):hover div:last-child {
        pointer-events: none;
            opacity: 1;
            /* transform: rotateY(0deg); */
    

        /* .clicked.turn-on-hover-effect .img:first-child {
  transform: rotateY(0deg);
  opacity: 1;
} */

}

/*
@media (max-width: 500px) {
	.logo-grid {
		grid-template-columns: 1fr;
	}
} */